import { LanguageSupport, LRLanguage } from '@codemirror/language';
import { Parser } from '@lezer/common';
import { Completion } from '@codemirror/autocomplete';

declare function glimmer(): LanguageSupport;

type NestedLang = {
    tag: 'script' | 'style' | 'textarea';
    attrs?: (attrs: {
        [attr: string]: string;
    }) => boolean;
    parser: Parser;
};
declare const defaultNesting: NestedLang[];
declare const glimmerPlain: LRLanguage;
declare const glimmerLanguage: LRLanguage;

/**
A collection of JavaScript-related
[snippets](https://codemirror.net/6/docs/ref/#autocomplete.snippet).
*/
declare const snippets: readonly Completion[];

export { defaultNesting, glimmer, glimmerLanguage, glimmerPlain, snippets };
